Bug 1031301 - tmpwatch cross filesystem bounds
tmpwatch cross filesystem bounds
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tmpwatch (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Miloslav Trmač
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-16 11:15 EST by Andrey Tataranovich
Modified: 2014-06-23 09:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-02 09:22:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tataranovich: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Andrey Tataranovich 2013-11-16 11:15:30 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Andrey Tataranovich 2013-11-17 02:34:32 EST
Description of problem:

tmpwatch have no option to prevent crossing filesystem bounds.

How reproducible:
Every time

Steps to Reproduce:
1. BACKUP=`mktemp -d`
2. mount -o bind / $BACKUP
3. mount -o bind /boot $BACKUP/boot
...
n. run long backup job on $BACKUP

Actual results:
tmpwatch cron start and delete many usefull stuff in $BACKUP.

Expected results:
tmpwatch should not enter other filesystems mounted in /tmp.
Comment 2 Miloslav Trmač 2013-11-18 18:39:13 EST
Thanks for your report.

No additional option is needed, because tmpwatch never traverses to a different filesystem already by default.  The problem you have encountered happened because a bind mount is not treated as a "different filesystem" in the RHEL 5 and RHEL 6 versions of tmpwatch.


If you are a Red Hat customer with an active subscription, please report the problem using the Red Hat Customer Portal at http://access.redhat.com/ for correct prioritization of the issue.
Comment 3 RHEL Product and Program Management 2014-02-24 19:11:38 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2014-03-07 08:53:40 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 5 RHEL Product and Program Management 2014-06-02 09:22:09 EDT
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in RHEL5 stream. If the issue is critical for your business, please provide additional business justification through the appropriate support channels (https://access.redhat.com/site/support).

Note You need to log in before you can comment on or make changes to this bug.